Subject: [os2genau_digest] No. 1726
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 13 Oct 2008 00:00:46 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 12 October 2008
 Number  1726
**************************************************

Subjects for today
 
1  Re:  How to use FM/2 to show directory sizes sorted : Dennis Nolan <dennis at jeg-og dot com>
2  Re:  How to use FM/2 to show directory sizes sorted : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  FIREFOX FILE ASSOCIATIONS : Nicholas Lysaght" <nicholasrf at gmail dot com>
4   How to pick out duplicates using FM/2  (Filestar/2 call do this too of course!) : Mike O'Connor <mikeoc at internode.on dot net>
5  Re:  How to pick out duplicates using FM/2  (Filestar/2 call do this too of course!) : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Sun, 12 Oct 2008 08:12:57 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  How to use FM/2 to show directory sizes sorted

Run it in a program object and set the project objects properties to 
keep the window open when the program finishes.
That way you can see any status messages.

Regards

Dennis.

Ed Durrant wrote:
> Ed Durrant wrote:
>> Mike O'Connor wrote:
>>> Voytek Eymont wrote:
>>>> <quote who="Ed Durrant">
>>>>> sizes etc. I could also check for duplicate copies of files in 
>>>>> different
>>>>> sub-directories at the same time.
>>>> Ed,
>>>> there is/was an excellent de-duplicator, I think... ERacer ?
>>> Hi Voytek, Ed,
>>>
>>> Another good one is Clone250 by Edward Marsh, that I have.
>>>
>>> Regards,
>>> Mike
>>>
>> Yes I downloaded clone250 from Hobbes this morning - hopefully I'll 
>> get around to testing these over the weekend.
>>
>> Cheers/2
>>
>> Ed.
> 
>>
>> 
>
>>
> Well my first test using Eracer/2 hasn't gone well, the congigure option 
> doesn't let me set the directory and then when I tell it to run, the 
> program simply exits - could this be as it's not registered ?
> 
> In any case Null punkte for this program !
> 
> Cheers/2
> 
> Ed.
 
> 
> 

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 12 Oct 2008 09:16:52 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  How to use FM/2 to show directory sizes sorted

Good idea - especially since I have now tried my third option "dupfind" 
- which sat at "working" for some time (which is to be expected on 4.8GB 
of datafiles) I went to watch the TV, when I came back, it was no longer 
there as well - I'm beginning  to think that table sizes are blowing or 
something - I'll retry  both Eracer/2 and dupfind as you suggest from a 
cmd file with it set to stay open on completion (i.e. no exit 
statement). Hopefully something will get displayed to the console - I 
suspect with eracer however as it's an OS/2 executable the message may 
be lost in its session that dies.

Cheers/2

Ed.

Dennis Nolan wrote:
> Run it in a program object and set the project objects properties to 
> keep the window open when the program finishes.
> That way you can see any status messages.
>
> Regards
>
> Dennis.
>
>
> Ed Durrant wrote:
>> Ed Durrant wrote:
>>> Mike O'Connor wrote:
>>>> Voytek Eymont wrote:
>>>>> <quote who="Ed Durrant">
>>>>>> sizes etc. I could also check for duplicate copies of files in 
>>>>>> different
>>>>>> sub-directories at the same time.
>>>>> Ed,
>>>>> there is/was an excellent de-duplicator, I think... ERacer ?
>>>> Hi Voytek, Ed,
>>>>
>>>> Another good one is Clone250 by Edward Marsh, that I have.
>>>>
>>>> Regards,
>>>> Mike
>>>>
>>> Yes I downloaded clone250 from Hobbes this morning - hopefully I'll 
>>> get around to testing these over the weekend.
>>>
>>> Cheers/2
>>>
>>> Ed.
 
>>>
>>> 

>>>
>> Well my first test using Eracer/2 hasn't gone well, the congigure 
>> option doesn't let me set the directory and then when I tell it to 
>> run, the program simply exits - could this be as it's not registered ?
>>
>> In any case Null punkte for this program !
>>
>> Cheers/2
>>
>> Ed.
> 
>>
>> 
>
 
>
> 

>

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 12 Oct 2008 10:49:26 +0800
From:  "Nicholas Lysaght" <nicholasrf at gmail dot com>
Subject:  Re:  FIREFOX FILE ASSOCIATIONS

Hi Peter.

On Sat, Oct 11, 2008 at 9:07 AM, Peter Moylan <peter at pmoylan dot org> wrote:

> On 11/10/08 12:27, Peter L Allen wrote:
>
>>  On Fri, 10 Oct 2008 10:15:27 +0800, Nicholas Lysaght wrote:
>>
>
>  > Have *finally* got around to updating Firefox to 2.0.0.17, but have
>> > found that I am not able to setup File Associations.
>> >
>> > Went to Tool > Options > File Types...Manage and opened the window
>> > to find that everything is greyed out. So, for instance, I can't
>> > use Warp Vision to view videos, or PM123 to listen to various sound
>> > formats.
>> >
>> > Amazingly, when I was using Firefox 1.8x, I could actually listen
>> > to ABC 720AM here in Perth....strangely enough, through Warp
>> > Vision,  but she no works now :-) I bet there's something I missed.
>> > Any ideas, please?
>>
>
> In my experience, this has been a bug in the majority of OS/2 Firefox
> releases. I'm still running version 2.0.0.4, and my own "Download Actions"
> box is completely empty, despite the fact that Z!, for example, is correctly
> invoked when I get an MP3 file. (But now, thinking about it, it might be the
> MediaPlayer Connectivity addon that's doing that. That's an addon that I
> might well decide to remove, because most of the time it opens up a Flash
> window that then does nothing.)

In the Firefox version I had (that came with Beta4) I had Download Helper
and I was able to setup my file associations.

>
>
> (One reason why I don't often update Firefox is that each successive
> release turns out to be an even bigger memory hog than the previous version,
> and once the swap file has blown out to an enormous size the whole system
> slows to a crawl. There are rumours that Firefox 3 on Windows is impossibly
> slow for people who have less than 1 GB of main memory. That's not good news
> for those of us who are still working with 128MB.)

>
> This is partly a design flaw in Firefox. Unlike Netscape, it doesn't let
> you manually add any entries to the "Download Actions". All you can do is
> change existing entries.

It seems that it did, but doesn't now. There are no existing entries for me
to change. I'd be tempted to go back and find the Firefox version
corresponding with Beta4 (about 18 months ago), but  it seems that I would
be trading security if I did that, as well as not supporting the newer
versions as I should.

>
>
> But it's more than that, because a lot of the time you can't even change
> the existing entries. I suspect that there's some sort of configuration
> option (Firefox has hundreds of them, and it's nearly impossible to
> understand what most of them do) that is getting lost in the OS/2 ports.

Maybe that's something our Porters can look for? Maybe as the main aim for
Firefox is to closely integrate with Windows and Mac, it may be felt that
file extensions can be found elsewhere on those OS's that will integrate
with Firefox?

>
>
>   On PM-Fx 2.0.016 here, prg has associations set for MP3, WAV, XLS,
>>  ZIP. Have no idea how this has come about or how to add any new ones.
>>
>
> The way it comes about is that, when Firefox meets a new file type, it asks
> you which program should handle it, and you have the option to check a box
> saying "always do this for this file type". That, as far as I know, is the
> only way to add new entries.

Thanks all, for your help. If I find anything worthwhile, I'll send it here.

Regards

NICK

>
>
>   How to make *.htm files default to FF globally? Assoedit informs me
>>  Firefox is not a program when trying setup!
>>
>
> That's an easier question. In the "Add association" dialogue of Assoedit,
> you can choose either "Object" or "Program". If you have a program object
> set up for Firefox, then it will appear in the "Objects" list, and you can
> choose it. In your case, you probably haven't created a program object, so
> you need to specify "Program", and then type "firefox.exe" in the "Program"
> box near the bottom of the dialogue. (But you have to include the path as
> well, because Firefox isn't one of those stupid programs that insist on
> cluttering up your PATH environment variable.)
>
> Personally, I prefer to create a program object for Firefox, so that I can
> put a shadow of it into the eCSCentre toolbar. It only takes a few seconds
> to create a program object from an EXE file, and it pays off in convenience.
>
> --
> Peter Moylan                          peter at pmoylan dot org
>                                     http://www.pmoylan dot org
>
>
>

> 

>

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 12 Oct 2008 16:02:43 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:   How to pick out duplicates using FM/2  (Filestar/2 call do this too of course!)

Hi Ed,

Below are the FM/2 help details about duplicates:
I just ran it {Seek & Scan} against > 24,723 files totalling ~8GB here 
[directories to 7 levels deep or more] - it took 2mins 20secs on a SATA 
(1.5Gbps) disk.
There were some false positives as I included all files (including size 
of ZERO), and you can't specify the minimum/maximum size, but by sorting 
by size order, then removing all those entries below some arbitrary size 
using the fourth icon (mouse-over it!), you should be able to accomplish 
what you need - otherwise you disk needs sorting out!

I've attached before and after pix to personal copy - os2genau will 
strip off list copy delivered.

Regards,
Mike

The Find duplicates checkbox, when checked, tells FM/2 to find potential 
duplicate files. Files with the same name are found, as are files with 
the same size and date/time. Note: Finding duplicates is a time and 
resource consuming operation due to the usually large number of files, 
and therefore comparisons, involved (FM/2 on a P3/500 with 256 mb RAM 
required about 4 minutes to search 12,000 files for dupes). Once 
potential dupe files have been found and Collected you can use the 
Collector's sort and information facilities and commands to check the 
files and delete or archive any you don't want to keep around -- use 
filename sort to see files grouped with the same name, size sort to see 
files grouped with the same size and date/time. The three switches 
listed below also affect how potential duplicate finding works.

The CRC dupes checkbox, when checked, causes FM/2 to determine and check 
the CRCs of potential duplicate files. Only files with matching CRCs 
will then pass the dupe test begun as described above. This 
approximately doubles the time it takes to find potential duplicate 
files, depending on how many potential dupes there are, but not using it 
means that invariably a few files will be flagged as possible dupes that 
aren't (this is possible even with this switch on, but far less likely). 
Note that in order to CRC a file, FM/2 must be able to open it -- if it 
can't, FM/2 will consider the two files being compared to be duplicates.

The No size dupes checkbox, when checked, tells FM/2 to not consider 
files as potential dupes unless their names match (size/date matches 
aren't considered). Be aware that you will probably miss true duplicate 
files if you turn this off, as not all dupes have the same name.

The Ignore extensions checkbox, when checked, tells FM/2 to ignore the 
(last) extension on filenames when checking for dupes by name. This is 
handy when you're comparing files in BBS upload directories where the 
same file may have been archived with different archivers, resulting in 
identical rootnames but different extensions.

The Larger entry field can be used to find files larger than the number 
of bytes input (zero means all files). The k button next to the entry 
field multiplies the value by 1024 for you to make kilobytes instead of 
bytes. The Smaller entry field works the same except that it causes 
files smaller than the number of bytes input to be found. When used 
together (both fields are nonzero), files found will be greater than the 
Larger field's value or less than the Smaller field's value.

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 12 Oct 2008 17:09:24 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  How to pick out duplicates using FM/2  (Filestar/2 call do this too of course!)

Mike O'Connor wrote:
> Hi Ed,
>
> Below are the FM/2 help details about duplicates:
> I just ran it {Seek & Scan} against > 24,723 files totalling ~8GB here 
> [directories to 7 levels deep or more] - it took 2mins 20secs on a 
> SATA (1.5Gbps) disk.
> There were some false positives as I included all files (including 
> size of ZERO), and you can't specify the minimum/maximum size, but by 
> sorting by size order, then removing all those entries below some 
> arbitrary size using the fourth icon (mouse-over it!), you should be 
> able to accomplish what you need - otherwise you disk needs sorting out!
<snipped>

Additionally when the duplicates have been found - and anomalous ones 
removed - select all the remaining entries and
generate a listing file with the metastrings "%d %t %Z %p", in that 
strict order to make them easy to read! ;-)

Regards,
Mike
----------------------------------------------------------------------------------